%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%global debug_package %{nil}

Name:           postr
Version:        0.12.3
Release:        8%{?dist}
Summary:        Flickr uploader

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.burtonini.com/blog/computers/postr
Source0:        http://burtonini.com/computing/%{name}-%{version}.tar.gz
Patch0:		fix_upload_button.patch
Patch1:		nautilus-ext-dir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
BuildRequires:  nautilus-python-devel
Requires:       python-twisted-core
Requires:       python-twisted-web
Requires:       pygtk2
Requires:       nautilus-python
Requires:       hicolor-icon-theme
Requires:	gnome-python2-gconf



%description
Tool for uploading photos to the photo-sharing website Flickr.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT
desktop-file-install --vendor="" \
  --delete-original \
  --dir=$RPM_BUILD_ROOT/%{_datadir}/applications \
  $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_bindir}/%{name}
%{_libdir}/nautilus/extensions-2.0/python/postrExtension.py*
%{python_sitelib}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{python_sitelib}/Postr-%{version}-py?.?.egg-info


%changelog
* Thu Aug 27 2009 Tim Lauridsen <timlau@fedoraproject.org> - 0.12.3-8
- added %%global debug_package %%{nil} to not generate an empty debuginfo package

* Thu Aug 25 2009 Tim Lauridsen <timlau@fedoraproject.org> - 0.12.3-7
- Added nautilus-ext-dir.patch to upstrem setup.py to install nautilus extentions
- in the right directory
- Added BuildRequires:  nautilus-python-devel because we need the .pc file to
- detect the right nautilus python extention dir

* Thu Aug 25 2009 Tim Lauridsen <timlau@fedoraproject.org> - 0.12.3-6
- removed BuildArch: noarch to get it to build for each arch

* Thu Aug 25 2009 Tim Lauridsen <timlau@fedoraproject.org> - 0.12.3-5
- use %%%{_libdir} in %%files to put the nautilus extension in the right place

* Wed Aug 5 2009 Tim Lauridsen <timlau@fedoraproject.org> - 0.12.3-4
- Added fix_upload_button.patch to fix the upload button

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 6 2009 Tim Lauridsen <timlau@fedoraproject.org> - 0.12.3-1
- New upstream version 0.12.3

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.12.2-3
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.12.2-2
- Rebuild for Python 2.6

* Tue Sep 9 2008 Tim Lauridsen <timlau@fedoraproject.org> - 0.12.2-1
- New upstream version 0.12.2
- added missing gnome-python2-gconf requirement.

* Sat May 18 2008 Trond Danielsen <trondd@fedoraproject.org> - 0.12-1
- New upstream version

* Sat Feb 09 2008 Trond Danielsen <trond.danielsen@gmail.com> - 0.10-2
- Added unpackaged file.

* Sat Feb 09 2008 Trond Danielsen <trond.danielsen@gmail.com> - 0.10-1
- New upstream version

* Tue Oct 09 2007 Trond Danielsen <trond.danielsen@gmail.com> - 0.9-1
- New upstream

* Mon Sep 10 2007 Trond Danielsen <trond.danielsen@gmail.com> - 0.8-1
- New upstream
- Updated license tag.

* Tue Jun 16 2007 Trond Danielsen <trond.danielsen@gmail.com> - 0.7-1
- New version.

* Tue Jun 05 2007 Trond Danielsen <trond.danielsen@gmail.com> - 0.6-1
- New version.

* Thu May 03 2007 Trond Danielsen <trond.danielsen@gmail.com> - 0.5-3
- Added missing hicolor-icon-theme requirement.

* Wed May 02 2007 Trond Danielsen <trond.danielsen@gmail.com> - 0.5-2
- Backported icons from development branch of Postr.

* Wed Apr 04 2007 Trond Danielsen <trond.danielsen@fedoraproject.org> - 0.5-1
- Initial version
